<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

	function sanitize_wpqs_data( $input ) {

		if(is_array($input)){
		
			$new_input = array();
	
			foreach ( $input as $key => $val ) {
				$new_input[ $key ] = (is_array($val)?sanitize_wpqs_data($val):sanitize_text_field( $val ));
			}
			
		}else{
			$new_input = sanitize_text_field($input);
		}
		
		return $new_input;
	}

	if(!function_exists('wpqs_pre')){
		function wpqs_pre($data){
			if(isset($_GET['debug'])){
				wpqs_pree($data);
			}
		}	 
	} 
		
	if(!function_exists('wpqs_pree')){
	function wpqs_pree($data){
				echo '<pre>';
				print_r($data);
				echo '</pre>';	
		
		}	 
	} 
	
	add_shortcode('WP-QUICKSHOP', 'woo_shop_tablular');


	function wpqs_settings($key, $front=false, $default=''){
		
		
		$settings = get_option('wpqs_settings', array());
		//pree($settings);
		$ret = $default;
		if(array_key_exists($key, $settings)){
			$ret = $settings[$key];
		}
		if($front){
			$ret = nl2br($ret);
		}
		return $ret;
	}
	function woo_shop_tablular($sc_args){
		ob_start();
		$sc_args['type'] = isset($sc_args['type'])?$sc_args['type']:'';
		$sc_args['cats'] = isset($sc_args['cats'])?$sc_args['cats']:'';
		

		$wpqs_enabled = wpqs_enabled();
		if(
			(
			($sc_args['type']!='' && $sc_args['type']=='woocommerce') 
			&& 
			in_array('woocommerce', $wpqs_enabled))
			||
			$sc_args['type']==''
			){
			include('wc-products-display.php');
		}

		if(
			(
			($sc_args['type']!='' && $sc_args['type']=='wp-e-commerce')
			&&
			in_array('wp-e-commerce', $wpqs_enabled))
			||
			$sc_args['type']=='' 
			){
				
			include('wpec-products-display.php');
		}
		$out1 = ob_get_contents();		
		ob_end_clean();		
		return $out1;
	}
	
	
	add_action('init', 'wpqs_init');
	
		
	function wpqs_woo_in_cart($product_id) {
		global $woocommerce;
	 
		foreach($woocommerce->cart->get_cart() as $key => $val ) {
			$_product = $val['data'];
	 
			if($product_id == $_product->id ) {
				return true;
			}
		}
	 
		return false;
	}	
	
	function wpqs_init(){
		if(!empty($_POST)){
			if ( 
				! isset( $_POST['qs_bulk_field'] ) 
				|| ! wp_verify_nonce( $_POST['qs_bulk_field'], 'qs_bulk' ) 
			) {
			
			   
			
			} else {
				
				if(!empty($_POST['prod'])){
					$prod = isset( $_POST['prod'] ) ? (array) $_POST['prod'] : array();
					$prod = array_map( 'esc_attr', $prod );
					$wpqs_enabled = wpqs_enabled();
					foreach($prod as $product_id=>$qty){
						if($qty>0){						
							
							if(in_array('woocommerce', $wpqs_enabled)){
								global $woocommerce;
								if(wpqs_woo_in_cart($product_id)){
									$cart = WC()->instance()->cart;
									$cart_id = $cart->generate_cart_id($product_id);
									//wpqs_pree($cart_id);exit;
 									$cart_item_id   = $cart->find_product_in_cart($cart_id);
  									$cart->set_quantity($cart_item_id, $qty);
								}else{
									$woocommerce->cart->add_to_cart($product_id, $qty);
								}
								
							}
							if(in_array('wp-e-commerce', $wpqs_enabled)){
								global $wpsc_cart;
								$parameters['quantity'] = (int) $qty;
								$wpsc_cart->set_item( $product_id, $parameters, true );								
								
							}
							
						}
					}
				}
			   // process form data
			   //pree($_POST);exit;
			}			
		}
	}
			
	function wpqs_plugin_links($links) { 
		global $wpqs_premium_link, $wpqs_pro;
		
		$settings_link = '<a href="options-general.php?page=wp_quickshop">Settings</a>';
		
		if($wpqs_pro){
			array_unshift($links, $settings_link); 
		}else{
			 
			$wpqs_premium_link = '<a href="'.$wpqs_premium_link.'" title="Go Premium" target=_blank>Go Premium</a>'; 
			array_unshift($links, $settings_link, $wpqs_premium_link); 
		
		}
		
		
		return $links; 
	}
	
	function wpqs_menu()
	{
		global $wpqs_pro;
		
		$title = 'WP Quick Shop'.($wpqs_pro?' Pro':'');
		
		add_options_page($title, $title, 'activate_plugins', 'wp_quickshop', 'wp_quickshop');



	}

	function wp_quickshop(){ 



		if ( !current_user_can( 'administrator' ) )  {



			wp_die( __( 'You do not have sufficient permissions to access this page.' ) );



		}



		global $wpdb, $wpqs_group; 

		
		if(!empty($_REQUEST)){
			if ( 
				! isset( $_REQUEST['wpqs_admin_settings'] ) 
				|| ! wp_verify_nonce( $_POST['wpqs_admin_settings'], 'wpqs_admin' ) 
			) {
			
			   
			
			} else {
		
		
				if(isset($_REQUEST['wpqs_settings'])){
					$wpqs_settings = isset( $_POST['wpqs_settings'] ) ? (array) $_POST['wpqs_settings'] : array();
					//pree($wpqs_settings);exit;
					$wpqs_settings = array_map( 'esc_attr', $wpqs_settings );
					foreach($wpqs_settings as $k=>$v){
						if($v=='Array'){
							$wpqs_settings[$k] = array_map( 'esc_attr', $_POST['wpqs_settings'][$k]);
						}
					}
					//pree($wpqs_settings);exit;
					update_option( 'wpqs_settings', sanitize_wpqs_data($wpqs_settings) );
		
				}
			}
		}
				
		include('wpqs_settings.php');	

		

	}	

	
	if(!function_exists('wpqs_start')){
	function wpqs_start(){	


		}	
	}

	if(!function_exists('wpqs_end')){
	function wpqs_end(){	


		}
	}	

	
	
	function register_wpqs_scripts() {
		
		
		
		wp_enqueue_script(
			'wpqs-scripts',
			plugins_url('js/common.js', dirname(__FILE__)),
			array('jquery')
		);	
		
		wp_register_style('wpqs-front', plugins_url('css/front-style.css', dirname(__FILE__)));
			wp_enqueue_style( 'wpqs-front' );
			
		if(!is_admin()){			
			wp_register_style('wpqs-mobile', plugins_url('css/mobile.css', dirname(__FILE__)));
			wp_enqueue_style( 'wpqs-mobile' );
		}
		
	
	}
	
		
	function wpqs_admin_style() {		

		
		
		wp_register_style('wpqs-admin', plugins_url('css/admin-style.css', dirname(__FILE__)));
		
		
		wp_enqueue_style( 'wpqs-admin' );
		
	}
			
			
	function wpqs_enabled(){
		$status = array();
		if(in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) )){
			$status[] = 'woocommerce';
		}
		if(in_array( 'wp-e-commerce/wp-shopping-cart.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) )){
			$status[] = 'wp-e-commerce';
		}
		if(in_array( 'woocommerce-discounts-plus/index.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) )){
			$status[] = 'woocommerce-discounts-plus';
		}		

		return $status;
	}
	