<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
/*
Plugin Name: WP Quick Shop
Plugin URI: http://www.websitedesignwebsitedevelopment.com/wordpress/plugins/wp-quick-shop
Description: WP Quick Shop is a great plugin to order multiple products together without searching and spending time on pagination.
Version: 1.1.1
Author: Fahad Mahmood 
Author URI: http://www.androidbubbles.com
License: GPL2
This WordPress Plugin is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version. 
This free software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details. 
You should have received a copy of the GNU General Public License
along with this software. If not, see http://www.gnu.org/licenses/gpl-2.0.html.
*/ 

	
        
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
        

	global $wpqs_premium_link, $wpqs_dir, $wpqs_pro, $wpqs_data;
	$disabled_letters = array();
	$wpqs_dir = plugin_dir_path( __FILE__ );
	$wpqs_pro = file_exists($wpqs_dir.'pro/wpqs_extended.php');
	$wpqs_premium_link = 'http://shop.androidbubbles.com/product/wp-quick-shop-pro';
	$wpqs_data = get_plugin_data(__FILE__);
	if($wpqs_pro){					
		include($wpqs_dir.'pro/wpqs_extended.php');
	}	
	include('inc/functions.php');
        
	register_activation_hook(__FILE__, 'wpqs_start');

	//KBD END WILL REMOVE .DAT FILES	

	register_deactivation_hook(__FILE__, 'wpqs_end' );



	add_action( 'admin_enqueue_scripts', 'register_wpqs_scripts' );
	add_action( 'wp_enqueue_scripts', 'register_wpqs_scripts' );
	
	if($wpqs_pro)
	wpqs_backup_pro();
	
	function wpqs_backup_pro($src='pro', $dst='') { 

		$plugin_dir = plugin_dir_path( __FILE__ );
		$uploads = wp_upload_dir();
		$dst = ($dst!=''?$dst:$uploads['basedir']);
		$src = ($src=='pro'?$plugin_dir.$src:$src);
		
		$pro_check = basename($plugin_dir);

		$pro_check = $dst.'/'.$pro_check.'.dat';

		if(file_exists($pro_check)){
			if(!is_dir($plugin_dir.'pro')){
				mkdir($plugin_dir.'pro');
			}
			$files = file_get_contents($pro_check);
			$files = explode('\n', $files);
			if(!empty($files)){
				foreach($files as $file){
					
					if($file!=''){
						
						$file_src = $uploads['basedir'].'/'.$file;
						//echo $file_src.' > '.$plugin_dir.'pro/'.$file.'<br />';
						//copy($file_src, $plugin_dir.'pro/'.$file);

						$trg = $plugin_dir.'pro/'.$file;
						if(!file_exists($trg))
						copy($file_src, $trg);
						
					}
				}//exit;
			}
		}
		
		if(is_dir($src)){
			if(!file_exists($pro_check)){
				$f = fopen($pro_check, 'w');
				fwrite($f, '');
				fclose($f);
			}	
			$dir = opendir($src); 
			@mkdir($dst); 
			while(false !== ( $file = readdir($dir)) ) { 
				if (( $file != '.' ) && ( $file != '..' )) { 
					if ( is_dir($src . '/' . $file) ) { 
						wpqs_backup_pro($src . '/' . $file, $dst . '/' . $file); 
					} 
					else { 
						$dst_file = $dst . '/' . $file;
						
						if(!file_exists($dst_file)){
							
							copy($src . '/' . $file,$dst_file); 
							$f = fopen($pro_check, 'a+');
							fwrite($f, $file.'\n');
							fclose($f);
						}
					} 
				} 
			} 
			closedir($dir); 
			
		}	
	}
	
	
		
	if(is_admin()){
		add_action( 'admin_menu', 'wpqs_menu' );	
		add_action( 'wp_ajax_wpqs_tax_types', 'wpqs_tax_types_callback' );
		$plugin = plugin_basename(__FILE__); 
		add_filter("plugin_action_links_$plugin", 'wpqs_plugin_links' );	
		
		add_action( 'admin_enqueue_scripts', 'wpqs_admin_style', 99 );
		
		
	}else{
		

		
		
	}

	

	